liborigin 2.0.0

Public Types | Public Attributes | List of all members
Origin::Color Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | ColorType { None , Automatic , Regular , Custom , Increment , Indexing , RGB , Mapping }
enum | RegularColor { Black = 0 , Red = 1 , Green = 2 , Blue = 3 , Cyan = 4 , Magenta = 5 , Yellow = 6 , DarkYellow = 7 , Navy = 8 , Purple = 9 , Wine = 10 , Olive = 11 , DarkCyan = 12 , Royal = 13 , Orange = 14 , Violet = 15 , Pink = 16 , White = 17 , LightGray = 18 , Gray = 19 , LTYellow = 20 , LTCyan = 21 , LTMagenta = 22 , DarkGray = 23 }

## Public Attributes
union {
unsigned char column
unsigned char custom [3]
unsigned char regular
unsigned char starting
}; |
ColorType | type

## Member Enumeration Documentation

## ◆ ColorType

enum Origin::Color::ColorType

Enumerator
None |
Automatic |
Regular |
Custom |
Increment |
Indexing |
RGB |
Mapping |

## ◆ RegularColor

enum Origin::Color::RegularColor

Enumerator
Black |
Red |
Green |
Blue |
Cyan |
Magenta |
Yellow |
DarkYellow |
Navy |
Purple |
Wine |
Olive |
DarkCyan |
Royal |
Orange |
Violet |
Pink |
White |
LightGray |
Gray |
LTYellow |
LTCyan |
LTMagenta |
DarkGray |

## Member Data Documentation

## ◆

union { ... } Origin::Color::@1

## ◆ column

unsigned char Origin::Color::column

Referenced by std::iendianfstream::operator>>().

## ◆ custom

unsigned char Origin::Color::custom[3]

Referenced by std::iendianfstream::operator>>().

## ◆ regular

unsigned char Origin::Color::regular

Referenced by std::iendianfstream::operator>>(), Origin610Parser::readGraphInfo(), and Origin700Parser::readGraphInfo().

## ◆ starting

unsigned char Origin::Color::starting

Referenced by std::iendianfstream::operator>>().

## ◆ type

ColorType Origin::Color::type

Referenced by std::iendianfstream::operator>>(), Origin610Parser::readGraphInfo(), and Origin700Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h